<div id='div-{$ dasherize_name|safe $}' class='div-simple-field view-component-part' [class.has-error]="{$ var_camel_name|safe $}Control.invalid && {$ var_camel_name|safe $}Control.touched" [class.has-success]="{$ var_camel_name|safe $}Control.valid" >
    <label id='label-{$ dasherize_name|safe $}' for='input-{$ dasherize_name|safe $}' class='label-simple-field required'>{$ title_name|safe $}</label>
    <input id='input-{$ dasherize_name|safe $}' class='view-component-part simple-field' name='{$ var_camel_name|safe $}' type='{$ type|safe $}' [(ngModel)]='{$ var_camel_name|safe $}' #{$ var_camel_name|safe $}Control = 'ngModel' {% if value %} value='{$ value|safe $}'{% endif %}{% if placeholder %} placeholder=' Kolom Url Gambar '{% endif %} readonly="readonly" required/>
    <div class="form-group">
    <label for="file">Choose File</label>
    <input type="file"
           id="file"
           (change)="handleFileInput($event.target.files)" (click)="resetCss()">
</div>
    <p id='input-info-{$ dasherize_name|safe $}'>{$ input_info $}</p>
    <span class="help-block" *ngIf='{$ var_camel_name|safe $}Control.errors?.required && {$ var_camel_name|safe $}Control.touched'>
        {$ title_name|safe $} wajib diisi <br />
    </span>
    <span class="help-block" *ngIf="!isAllowedImageExtension && fileToUpload">
            Format file salah. Format yang diizinkan hanya .jpg, .jpeg, .gif, dan .png <br/>
    </span>
</div>